[Last Call] Learn how to a build a cloud-first strategyRegister Now

x
  • Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 417
  • Last Modified:

Can't find GnuPG 'new.al'; Can't locate auto/GnuPG/Interface/new.al in @INC ... Where is new.al ?

I have these directories available but 'new.al' is not there.

/usr/lib/perl5/site_perl/5.8.3/GnuPG
/usr/lib/perl5/site_perl/5.8.3/i386-linux-thread-multi/auto/GnuPG
/usr/lib/perl5/site_perl/5.8.3/auto/GnuPG/Interface/
-r--r--r-- 1 root root  611 Sep  8  2005 autosplit.ix
-r--r--r-- 1 root root  432 Sep  8  2005 clearsign.al
-r--r--r-- 1 root root  423 Sep  8  2005 decrypt.al
-r--r--r-- 1 root root  439 Sep  8  2005 detach_sign.al
-r--r--r-- 1 root root  423 Sep  8  2005 encrypt.al
-r--r--r-- 1 root root  467 Sep  8  2005 encrypt_symmetrically.al
-r--r--r-- 1 root root  434 Sep  8  2005 export_keys.al
-r--r--r-- 1 root root 4420 Sep  8  2005 get_keys.al
-r--r--r-- 1 root root  567 Sep  8  2005 get_public_keys.al
-r--r--r-- 1 root root  515 Sep  8  2005 get_public_keys_with_sigs.al
-r--r--r-- 1 root root  496 Sep  8  2005 get_secret_keys.al
-r--r--r-- 1 root root  434 Sep  8  2005 import_keys.al
-r--r--r-- 1 root root  527 Sep  8  2005 list_public_keys.al
-r--r--r-- 1 root root  460 Sep  8  2005 list_secret_keys.al
-r--r--r-- 1 root root  432 Sep  8  2005 list_sigs.al
-r--r--r-- 1 root root  431 Sep  8  2005 recv_keys.al
-r--r--r-- 1 root root  431 Sep  8  2005 send_keys.al
-r--r--r-- 1 root root  411 Sep  8  2005 sign.al
-r--r--r-- 1 root root  467 Sep  8  2005 sign_and_encrypt.al
-r--r--r-- 1 root root 1743 Sep  8  2005 test_default_key_passphrase.al
-r--r--r-- 1 root root  419 Sep  8  2005 verify.al

I can't locate a reference for 'new.al' on CPAN.
0
imagitastech
Asked:
imagitastech
  • 2
  • 2
1 Solution
 
Adam314Commented:
What is the exact error you get?  What code are you using that generates the error?  How did you install the GnuPG module?
0
 
imagitastechAuthor Commented:
Can't locate auto/GnuPG/Interface/new.al in @INC (@INC contains: /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi /usr/lib64/perl5/site_perl/5.8.8/x86_64-linux-thread-multi /usr/lib64/perl5/site_perl/5.8.7/x86_64-linux-thread-multi /usr/lib64/perl5/site_perl/5.8.6/x86_64-linux-thread-multi /usr/lib64/perl5/site_perl/5.8.5/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.8.8 /usr/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.6 /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.8.7/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.8.6/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.8.5/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.8.8 /usr/lib/perl5/vendor_perl/5.8.7 /usr/lib/perl5/vendor_perl/5.8.6 /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl /usr/lib64/perl5/5.8.8/x86_64-linux-thread-multi /usr/lib/perl5/5.8.8 .) at /var/www/cgi-bin/EpsilonEOD line 49

/var/www/cgi-bin/EpsilonEOD line 49 is

my $gnupg = GnuPG::Interface->new();

I wasn't the one that installed the older 5.8.3 GnuGP libraries.  Where can I get an installable RPM or GZ from CPAN for Perll 5.8.8 ?  I find only the Gnu source on CPAN.
0
 
Adam314Commented:
You typically install perl modules from source from CPAN.  There is a module, cpan, that makes it easy - takes care of installing all dependencies.

To use, as root:
    cpan GnuPG::Interface
0
 
imagitastechAuthor Commented:
Thanks for the best possible answer.
0

Featured Post

Technology Partners: We Want Your Opinion!

We value your feedback.

Take our survey and automatically be enter to win anyone of the following:
Yeti Cooler, Amazon eGift Card, and Movie eGift Card!

  • 2
  • 2
Tackle projects and never again get stuck behind a technical roadblock.
Join Now